Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Hash_Token< TYPE > Struct Template Reference

Collaboration diagram for Hash_Token< TYPE >:

[legend]
List of all members.

## Public Member Functions
| Hash_Token (const void *act, size_t pos, long orig_id, const TYPE &type)
## Public Attributes
const void * | act_
size_t | pos_
long | orig_id_
TYPE | type_

### template<class TYPE>
struct Hash_Token< TYPE >

## Constructor & Destructor Documentation

template<class TYPE>
Hash_Token< TYPE >::Hash_Token | ( | const void * | act,
|  | size_t | pos,
|  | long | orig_id,
|  | const TYPE & | type
| ) | `[inline]`

## Member Data Documentation

template<class TYPE>
const void* Hash_Token< TYPE >::act_

template<class TYPE>
long Hash_Token< TYPE >::orig_id_

template<class TYPE>
size_t Hash_Token< TYPE >::pos_

template<class TYPE>
TYPE Hash_Token< TYPE >::type_

The documentation for this struct was generated from the following file:

- Timer_Hash_T.cpp